### Type parameters

- #### T

### Hierarchy

- BaseRequest<T, any>
  - GetRequest

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- logger
- metadata
- modelClazz
- params

### Methods

- consistentRead
- exec
- execFullResponse
- projectionExpression
- returnConsumedCapacity

## Constructors

### constructor

- new GetRequest(dynamoRx: DynamoRx, modelClazz: ModelConstructor<T>, partitionKey: any, sortKey?: any): GetRequest

- Overrides BaseRequest.constructor

  - Defined in dynamo/request/get/get.request.ts:17

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### modelClazz: ModelConstructor<T>

  - ##### partitionKey: any

  - ##### Optional sortKey: any

  #### Returns GetRequest

## Properties

### dynamoRx

dynamoRx: DynamoRx

Inherited from BaseRequest.dynamoRx

- Defined in dynamo/request/base.request.ts:18

### Private logger

logger: Logger

- Defined in dynamo/request/get/get.request.ts:17

### metadata

metadata: Metadata<T>

Inherited from BaseRequest.metadata

- Defined in dynamo/request/base.request.ts:20

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from BaseRequest.modelClazz

- Defined in dynamo/request/base.request.ts:19

### params

params: GetItemInput

Overrides BaseRequest.params

- Defined in dynamo/request/get/get.request.ts:16

## Methods

### consistentRead

- consistentRead(consistentRead: boolean): GetRequest<T>

- - Defined in dynamo/request/get/get.request.ts:28

  #### Parameters

  - ##### consistentRead: boolean

  #### Returns GetRequest<T>

### exec

- exec(): Observable<T | null>

- Overrides BaseRequest.exec

  - Defined in dynamo/request/get/get.request.ts:67

  #### Returns Observable<T | null>

### execFullResponse

- execFullResponse(): Observable<GetResponse<T>>

- Overrides BaseRequest.execFullResponse

  - Defined in dynamo/request/get/get.request.ts:48

  #### Returns Observable<GetResponse<T>>

### projectionExpression

- projectionExpression(...attributesToGet: string[]): GetRequest<T>

- - Defined in dynamo/request/get/get.request.ts:38

  #### Parameters

  - ##### Rest ...attributesToGet: string[]

  #### Returns GetRequest<T>

### returnConsumedCapacity

- returnConsumedCapacity(level: DynamoDB.ReturnConsumedCapacity): GetRequest<T>

- - Defined in dynamo/request/get/get.request.ts:33

  #### Parameters

  - ##### level: DynamoDB.ReturnConsumedCapacity

  #### Returns GetRequest<T>

Generated using TypeDoc